How can I create an installer for firefox 2.0.0.8 on ubuntu

am able to build firefox successfully. But when I run the command to
build an installer:

gmake -C firefox-objdir/browser/installer/

I get this error:
Makefile:69: ** you need a "--enable-static --disable-shared" build to
create an installer. Stop.


I recall I don't need a 'static build in firefox 1.5 in order to
create an installer.

Can you please tell me if this is a new requirement in firefox 2?


Thank you for any help.

0
yinglcs
10/23/2007 7:35:47 PM
mozilla.dev.builds 1761 articles. 0 followers. Post Follow

11 Replies
622 Views

Similar Articles

[PageSpeed] 18
Get it on Google Play
Get it on Apple App Store

yinglcs@gmail.com wrote:
> am able to build firefox successfully. But when I run the command to
> build an installer:
> 
> gmake -C firefox-objdir/browser/installer/
> 
> I get this error:
> Makefile:69: ** you need a "--enable-static --disable-shared" build to
> create an installer. Stop.
> 
> 
> I recall I don't need a 'static build in firefox 1.5 in order to
> create an installer.
> 
> Can you please tell me if this is a new requirement in firefox 2?

Yes. We do not have packaging manifests for dynamic builds, and we do not
recommend that you run dynamic builds in a production environment because
they are significantly slower.

--BDS
0
Benjamin
10/23/2007 7:46:48 PM
On Oct 23, 2:46 pm, Benjamin Smedberg <benja...@smedbergs.us> wrote:
> ying...@gmail.com wrote:
> > am able to build firefox successfully. But when I run the command to
> > build an installer:
>
> > gmake -C firefox-objdir/browser/installer/
>
> > I get this error:
> > Makefile:69: ** you need a "--enable-static --disable-shared" build to
> > create an installer. Stop.
>
> > I recall I don't need a 'static build in firefox 1.5 in order to
> > create an installer.
>
> > Can you please tell me if this is a new requirement in firefox 2?
>
> Yes. We do not have packaging manifests for dynamic builds, and we do not
> recommend that you run dynamic builds in a production environment because
> they are significantly slower.
>
> --BDS

Thank you for your help.

I add this "
ac_add_options --enable-static
ac_add_options --disable-shared
"
And I get it compile. But when I run the the 'TestGtkEmbed' I get this
segmentation core dump:

$ ./firefox-objdir/dist/bin/firefox
new_gtk_browser
        menu bar
        tool bar
        location bar
        status bar
No Persistent Registry Found.
Type Manifest File: /home/scheung/video_detection/video_detection/
firefox2.0.0.8/mozilla/firefox-objdir/dist/bin/components/xpti.dat
nsNativeComponentLoader: autoregistering begins.
*** Registering mozSpellCheckerModule components (all right -- a
generic module!)
*** Registering mozMySpellModule components (all right -- a generic
module!)
*** Registering JavaScript_Debugger components (all right -- a generic
module!)
*** Registering nsSoftwareUpdate components (all right -- a generic
module!)
nsNativeComponentLoader: autoregistering succeeded
nsNativeComponentLoader: registering deferred (0)
nsNativeComponentLoader: autoregistering begins.
nsNativeComponentLoader: autoregistering succeeded
nsNativeComponentLoader: registering deferred (0)
###!!! ASSERTION: You can't dereference a NULL nsCOMPtr with operator-
>().: 'mRawPtr != 0', file ../../../../dist/include/xpcom/nsCOMPtr.h,
line 849
Break: at file ../../../../dist/include/xpcom/nsCOMPtr.h, line 849
Segmentation fault (core dumped)

Can you please tell me how can I run the TestGtkEmbed in a
"ac_add_options --enable-static
ac_add_options --disable-shared" build?

Thank you.



0
yinglcs
10/23/2007 8:43:32 PM
yinglcs@gmail.com wrote:

> I add this "
> ac_add_options --enable-static
> ac_add_options --disable-shared
> "
> And I get it compile. But when I run the the 'TestGtkEmbed' I get this
> segmentation core dump:

Firefox is not meant for embedding any more. Please use XULRunner for embedding.

--BDS

0
Benjamin
10/24/2007 7:24:22 PM
On Oct 24, 2:24 pm, Benjamin Smedberg <benja...@smedbergs.us> wrote:
> ying...@gmail.com wrote:
> > I add this "
> > ac_add_options --enable-static
> > ac_add_options --disable-shared
> > "
> > And I get it compile. But when I run the the 'TestGtkEmbed' I get this
> > segmentation core dump:
>
> Firefox is not meant for embedding any more. Please use XULRunner for embedding.
>

Thank you. Can you please tell me how can I run the TestGtkEmbed in
teh XULRunner?
I can't find the xul, application.ini file for TestGtkEmbed in order
to run TestGtkEmbed in XULRunner.

Thank you for any pointers.

> --BDS


0
yinglcs
10/24/2007 9:07:59 PM
yinglcs@gmail.com wrote:

> Thank you. Can you please tell me how can I run the TestGtkEmbed in
> teh XULRunner?

Run it just like you would in Firefox. You don't need any XUL or
application.ini (those are for XUL apps, not for embedding apps).

--BDS
0
Benjamin
10/25/2007 1:26:59 AM
On Oct 24, 8:26 pm, Benjamin Smedberg <benja...@smedbergs.us> wrote:
> ying...@gmail.com wrote:
> > Thank you. Can you please tell me how can I run the TestGtkEmbed in
> > teh XULRunner?
>
> Run it just like you would in Firefox. You don't need any XUL or
> application.ini (those are for XUL apps, not for embedding apps).
>
> --BDS

Thank you.  I have read and followed the instructions here about how
to build an embedded build

http://developer.mozilla.org/en/docs/Mozilla_Embedding_FAQ:Embedding_Gecko#How_do_I_make_an_embedding_build.3F

But when I run it like this " ./run-mozilla.sh -g ./TestGtkEmbed" (per
the documentation), it crashes with a segmentation fault.

I was running it in a dbugger (the -g), and when I did a 'bt' , i get
this stack trace:


run
Starting program: /home/yinglcs/firefox2.0.0.7/mozilla/firefox-objdir/
dist/Embed/TestGtkEmbed
[Thread debugging using libthread_db enabled]
[New Thread -1221965152 (LWP 21683)]
new_gtk_browser
        menu bar
        tool bar
        location bar
        status bar
[New Thread -1225073776 (LWP 21686)]

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -1221965152 (LWP 21683)]
0xb7f7b511 in EmbedPrivate::Realize () from ./libgtkembedmoz.so
(gdb) bt
#0  0xb7f7b511 in EmbedPrivate::Realize () from ./libgtkembedmoz.so
#1  0xb7f79d6e in gtk_moz_embed_realize () from ./libgtkembedmoz.so
#2  0xb7701c09 in g_cclosure_marshal_VOID__VOID ()
   from /usr/lib/libgobject-2.0.so.0
#3  0xb76f2f89 in ?? () from /usr/lib/libgobject-2.0.so.0
#4  0x080777f0 in ?? ()
#5  0x00000000 in ?? ()
(gdb) quit

Again, I am trying to build firefox 2.0.0.7 on ubuntu 7.10.  Here is
my .mozconfig:

# to the top of your mozconfig file.
mk_add_options MOZ_CO_PROJECT=browser
ac_add_options --enable-application=browser
ac_add_options --enable-default-toolkit=gtk2
ac_add_options --disable-canvas
mk_add_options MOZ_OBJDIR=@TOPSRCDIR@/firefox-objdir

Thank you for any more pointers.




0
yinglcs
10/25/2007 3:16:08 AM
On 25.10.2007 05:16, yinglcs@gmail.com wrote:

> Again, I am trying to build firefox 2.0.0.7 on ubuntu 7.10.  Here is
> my .mozconfig:
> 
> # to the top of your mozconfig file.
> mk_add_options MOZ_CO_PROJECT=browser
> ac_add_options --enable-application=browser
> ac_add_options --enable-default-toolkit=gtk2
> ac_add_options --disable-canvas
> mk_add_options MOZ_OBJDIR=@TOPSRCDIR@/firefox-objdir
> 
> Thank you for any more pointers.

So you are still building Firefox (2.0.0.7 and not 2.0.0.8 as the subject says?!)
and not XULRunner as Benjamin suggested? For the latter it should be something
like
   mk_add_options MOZ_CO_PROJECT=xulrunner
   ac_add_options --enable-application=xulrunner
   mk_add_options MOZ_OBJDIR=@TOPSRCDIR@/xulrunner-objdir
or simply
   . $topsrcdir/xulrunner/config/mozconfig
   mk_add_options MOZ_OBJDIR=@TOPSRCDIR@/xulrunner-objdir
See http://developer.mozilla.org/en/docs/Configuring_Build_Options#Choose_an_Application

Good luck!
   P.

0
Peter
10/25/2007 9:29:22 AM
On Oct 25, 4:29 am, Peter Weilbacher <newss...@weilbacher.org> wrote:
> On 25.10.2007 05:16, ying...@gmail.com wrote:
>
> > Again, I am trying to build firefox 2.0.0.7 on ubuntu 7.10.  Here is
> > my .mozconfig:
>
> > # to the top of your mozconfig file.
> > mk_add_options MOZ_CO_PROJECT=browser
> > ac_add_options --enable-application=browser
> > ac_add_options --enable-default-toolkit=gtk2
> > ac_add_options --disable-canvas
> > mk_add_options MOZ_OBJDIR=@TOPSRCDIR@/firefox-objdir
>
> > Thank you for any more pointers.
>
> So you are still building Firefox (2.0.0.7 and not 2.0.0.8 as the subject says?!)
> and not XULRunner as Benjamin suggested? For the latter it should be something
> like
>    mk_add_options MOZ_CO_PROJECT=xulrunner
>    ac_add_options --enable-application=xulrunner
>    mk_add_options MOZ_OBJDIR=@TOPSRCDIR@/xulrunner-objdir
> or simply
>    . $topsrcdir/xulrunner/config/mozconfig
>    mk_add_options MOZ_OBJDIR=@TOPSRCDIR@/xulrunner-objdir
> Seehttp://developer.mozilla.org/en/docs/Configuring_Build_Options#Choose...
>
> Good luck!
>    P.

Peter,

Sorry, I am going back and build 2.0.0.7 now. (I was having different
compile problems when I am doing 2.0.0.8).
Okay, I am building xulrunner per your suggestion.  However, I am
still don't understand how to do what Benjamin in an earlier posting:

"Run it just like you would in Firefox. You don't need any XUL or
application.ini (those are for XUL apps, not for embedding apps)."

How to run TestGtkEmbed after I build a xul runner? Where should I run
it and how to run it?

Thank you for any pointers.





0
yinglcs
10/25/2007 3:15:01 PM
On 25.10.2007 17:15, yinglcs@gmail.com wrote:

> How to run TestGtkEmbed after I build a xul runner? Where should I run
> it and how to run it?

Are you saying that there is no TestGtkEmbed binary linked to the
$MOZ_OBJDIR/dist/bin directory after the build has finished?
   P.

0
Peter
10/25/2007 3:30:17 PM
On Oct 25, 10:30 am, Peter Weilbacher <newss...@weilbacher.org> wrote:
> On 25.10.2007 17:15, ying...@gmail.com wrote:
>
> > How to run TestGtkEmbed after I build a xul runner? Where should I run
> > it and how to run it?
>
> Are you saying that there is no TestGtkEmbed binary linked to the
> $MOZ_OBJDIR/dist/bin directory after the build has finished?
>    P.

Thanks Peter,
It turns out that I have compile error when I build 'xulrunner'. But I
am able to build 'browser'.

.../../dist/lib/components/libgfx_gtk.a(nsFontMetricsPango.o): In
function `EnumFontsPango(nsIAtom*, char const*, unsigned int*,
unsigned short***)':
nsFontMetricsPango.cpp:(.text+0x476): undefined reference to
`NS_AddLangGroup(_FcPattern*, nsIAtom*)'
.../../dist/lib/components/libgfx_gtk.a(nsFontMetricsPango.o): In
function `GetPangoLanguage(nsIAtom*)':
nsFontMetricsPango.cpp:(.text+0xbf9): undefined reference to
`NS_FindFCLangGroup(nsACString_internal&)'
.../../dist/lib/components/libgfx_gtk.a(nsFontMetricsPango.o): In
function `nsFontMetricsPango::CacheFontMetrics()':
nsFontMetricsPango.cpp:(.text+0x1393): undefined reference to
`FT_Get_Sfnt_Table'
nsFontMetricsPango.cpp:(.text+0x1793): undefined reference to
`FT_MulFix'
nsFontMetricsPango.cpp:(.text+0x191d): undefined reference to
`FT_MulFix'
nsFontMetricsPango.cpp:(.text+0x1b35): undefined reference to
`FT_MulFix'
nsFontMetricsPango.cpp:(.text+0x1c4a): undefined reference to
`FT_MulFix'
.../../dist/lib/components/libgfx_gtk.a(nsFontMetricsPango.o): In
function `nsFontMetricsPango::RealizeFont()':
nsFontMetricsPango.cpp:(.text+0x3376): undefined reference to
`NS_FFRECountHyphens(nsACString_internal&)'
.../../dist/lib/components/libgfx_gtk.a(mozilla-decoder.o): In function
`mozilla_decoder_get_glyph(_PangoFcDecoder*, _PangoFcFont*, unsigned
int)':
mozilla-decoder.cpp:(.text+0x22c): undefined reference to
`FT_Select_Charmap'
mozilla-decoder.cpp:(.text+0x25e): undefined reference to
`FT_Select_Charmap'
mozilla-decoder.cpp:(.text+0x293): undefined reference to
`FT_Get_Char_Index'
collect2: ld returned 1 exit status
gmake[3]: *** [libxul.so] Error 1


Here is my .mozconfig, Is there anyway to fix my problem?


 more .mozconfig
mk_add_options MOZ_CO_PROJECT=xulrunner
ac_add_options --enable-application=xulrunner
ac_add_options --enable-system-cairo
ac_add_options --disable-xft
ac_add_options --enable-pango
mk_add_options MOZ_OBJDIR=@TOPSRCDIR@/xulrunner-objdir


I add ''--enable-system-cairo", "--disable-xft" to get pass previous
compile error. I just don't know how can I fix this new one.

Thank you.

0
yinglcs
10/25/2007 4:30:20 PM
On Thu, 25 Oct 2007 16:30:20 UTC,  "yinglcs@gmail.com" wrote:

> ../../dist/lib/components/libgfx_gtk.a(mozilla-decoder.o): In function
> `mozilla_decoder_get_glyph(_PangoFcDecoder*, _PangoFcFont*, unsigned
> int)':
> mozilla-decoder.cpp:(.text+0x22c): undefined reference to
> `FT_Select_Charmap'
> mozilla-decoder.cpp:(.text+0x25e): undefined reference to
> `FT_Select_Charmap'
> mozilla-decoder.cpp:(.text+0x293): undefined reference to
> `FT_Get_Char_Index'
> collect2: ld returned 1 exit status
> gmake[3]: *** [libxul.so] Error 1
[...]
> I just don't know how can I fix this new one.

Probably by installing FreeType (or its -devel package). That could also
fix the "previous" error that led you to disable Xft (that or a missing 
X11 -devel package).
   P.
0
Peter
10/25/2007 8:06:33 PM
Reply:

Similar Artilces:

How can I create an installer for firefox 2.0.0.8 on ubuntu #2
am able to build firefox successfully. But when I run the command to build an installer: gmake -C firefox-objdir/browser/installer/ I get this error: Makefile:69: ** you need a "--enable-static --disable-shared" build to create an installer. Stop. I recall I don't need a 'static build in firefox 1.5 in order to create an installer. Can you please tell me if this is a new requirement in firefox 2? Or there is a new way to create installer in firefox 2? Thank you for any help. yinglcs@gmail.com wrote: > am able to build firefox successfully. But ...

Firefox XP 2.0.0.8 ubuntu 2.0.0.6. Why?
I am using XP and Ubuntu 7.10. In both operating system I am using the same profile. (Symbolic link to XP partition). However, due to the difference in versions Firefox always start with a addon check. So why is Ubuntu not on version 2.0.0.8. That would solve this problem. Arjen On 10/22/2007 3:03 PM, Arjen Meijer wrote: > I am using XP and Ubuntu 7.10. In both operating system I am using the > same profile. > (Symbolic link to XP partition). > > However, due to the difference in versions Firefox always start with a > addon check. > > So why is U...

Emergency! I just installed the automatic installation of 2.0.0.8 (up from 2.0.0.7) and now FF w
Name: Steve Johnson Product: Firefox Summary: Emergency! I just installed the automatic installation of 2.0.0.8 (up from 2.0.0.7) and now FF w Comments: I just installed the automatic installation of 2.0.0.8 (up from 2.0.0.7) and now FF won't start at all! I was using it, all was well, the box appeared saying I should upgrade to fix security yada yada, I clicked ok, and now all is kaput. Specifically, when I try to run FF, the cursor returns, but no process is launched. Not sure how to even debug this! Was this update a trojan? Now I am totally dead in the water!...

Firefox 2.0.0.13, 3.0b5 - Sunbird 0.8
Name: Paul Pazdera Email: pazderaattelusdotnet Product: Mozilla Suite Summary: Firefox 2.0.0.13, 3.0b5 - Sunbird 0.8 - Thunderbird 2.0.0.12 Comments: allow this option to show dates - thanks! Date representation to International Standard ISO 8601 YYYY.MM.DD or YYYMMDD e.g.: 2008.04.16 or 20080416 http://en.wikipedia.org/wiki/ISO_8601 It isn't perhaps one of the most widely adopted of international standards, but for anyone working with date formats that need to be quickly parsed and sorted by computer, it's the best. Browser Details: Mozilla/5.0...

Installing Firefox V. 2.0.0.4 (over 2.0.0.3) has disabled Skype
Name: Norman MacLeod Email: norshmacattalktalkdotnet Product: Firefox Summary: Installing Firefox V. 2.0.0.4 (over 2.0.0.3) has disabled Skype Comments: I used Skype successfully before installing the 2.0.0.4 update. After that Skype (V 2.0.0.6) booted up but would not function. None of the contact icons light up and if you do try to make contact, "Misc Error" appears. Is there a cure or have I to uninstall Firefox? Browser Details: Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv:1.8.1.4) Gecko/20070515 Firefox/2.0.0.4 ...

Firefox 2.0.0.10 closes automatically to install update to 2.0.0.11
Hi, who on earth implemented this stupid thing that Firefox 2.0.0.10 closes automatically without any warning to install an update to 2.0.0.11. I might appreciate an automatic update feature but I hate that an update is done without any user pre-warning. I can not accept that Firefox shutdowns itself to install an update. I was just accessing my mailbox to write an email and this was gone due to the unexpected shutdown. Please avoid such stupid things in future! Stefan On 8/12/2007 12:25, sw.nospam@gmx.net wrote: > Hi, > > who on earth implemented this stupi...

XForms 0.8.0.2 release not working on linux firefox 2.0.0.4
Hi, I just upgraded the xforms to 0.8.0.2 from 0.8.0.1 on firefox (linux) 2.0.0.4. All xhtml pages stopped rendering. Is this the issue with the new release or I should look something into my code. Thanx for help in advance. -regards, Piyush A problem also on Mac OS X version 0.8.0.2. It doesn't install not valid hash file (probably corrupted download). -261 On 5 Lug, 13:49, Piyush <piyush.sin...@gmail.com> wrote: > Hi, > > I just upgraded the xforms to 0.8.0.2 from 0.8.0.1 on firefox (linux) > 2.0.0.4. All xhtml pages stopped rendering. &g...

Installed 2.0.0.8, then it automatically "upgraded" itself to 2.0.0.6!!!
Name: Filip Giesz Email: filipgatrepairfaqdotorg Product: Firefox Summary: Installed 2.0.0.8, then it automatically "upgraded" itself to 2.0.0.6!!! Comments: I can send you details and gifs of the About dialog and the Update dialog. Bizarre. I'll be shutting the autoupdate in 2.0.0.8 OFF... ...

Problems with new FireFox 2.0.0.5 and 0.8.0.2 XForms extension
Hi all, We are running the 0.8.0.2 extension and are having problems with the new FireFox 2.0.0.5 that just came out. It looks like instance documents are not loading on the Windows platform. Is anyone else having problems with this? Thanks - Dan It won't work. We added support for current() which means changes to XPath which means that any interaction in xforms that requires xpath will fail (almost all of them if you consider binding, etc). --Aaron Dan McCreary wrote: > Hi all, > > We are running the 0.8.0.2 extension and are having problems with th...

Just after Firefox 2.0.0.2 installed itself this morning, my printers are blown away. Can't install as my spoolers are preventing any action.
Name: Ron Mayer Email: neymetalsaterolsdotcom Product: Firefox Summary: Just after Firefox 2.0.0.2 installed itself this morning, my printers are blown away. Can't install as my spoolers are preventing any action. Comments: Error signature szAppName : spoolsv.exe szAppVer : 5.1.2600.2696 szModName:SR32DLL szModver: 6.1.520.1 offset:0002e888 Browser Details: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.2) Gecko/20070219 Firefox/2.0.0.2 ...

instalation of firefox 2.0.0.8
Name: José Sidenei Melo Email: jsideneiatitelefonicadotcomdotbr Product: Firefox Summary: instalation of firefox 2.0.0.8 Comments: my system do not attend the requirements asked by you to install this update, my cpu is a intel celeron D, and the cpu required is a intel Pentium processor. i await for more details about. thank you. Browser Details: Mozilla/5.0 (Windows; U; Windows NT 5.1; pt-BR; rv:1.8.1.7) Gecko/20070914 Firefox/2.0.0.7 ...

Buggy firefox 2.0.0.2 and 2.0.0.3
Name: badidea Email: very_bad_ideaathotmaildotcom Product: Firefox Summary: Buggy firefox 2.0.0.2 and 2.0.0.3 Comments: I don't know what changed since 2.0.0.1 but the new releases (2.0.0.2, 2.0.0.3) seem very buggy. Random crashes, slow responses and additionally problems with administrator rights. I had similar problems on 2 out of 2 systems. Best solution for me (and probably a lot of other users) is to go back to 2.0.0.1 and disable automatic update. Success! Browser Details: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.1) Gecko/20061204 Firefox/2....

Firefox 2.0.0.19 beta (build 2) and 3.0.5 beta (build 1) now available
Hello, Candidate builds of Firefox 2.0.0.19 and 3.0.5 are now available for testing. You can get the builds at: ftp://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/2.0.0.18-candid .... If you have previously downloaded a beta version of either Firefox 2.0 or 3.0 or have manually set your copy to be using the "beta" release channel for updates, you can update yourself to Firefox 2.0.0.19 / 3.0.5 by selecting "Help > Check for Updates". The status for Firefox 2.0.0.19 / 3.0.5 can be found here: http://wiki.mozilla.org/Releases/Firefox_2.0.0.19 ...

I like firefox 2.0.0.0 better than 2.0.0.1
Name: tsit chan Email: chantsitathkbndotnet Product: Firefox Summary: I like firefox 2.0.0.0 better than 2.0.0.1 Comments: 2.0.0.1 version allows minimized pages pop up when open multi- tabs in one page ,until this fixed i prefer 2.0.0.0 before any new release. Browser Details: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.8.1) Gecko/20061010 Firefox/2.0 ...

Web resources about - How can I create an installer for firefox 2.0.0.8 on ubuntu - mozilla.dev.builds

Installer Institute - Car Audio Installation and Mobile Electronics Education
The Installer Institute is a school for car audio installation training offering MESA certification. The leader in Mobile Electronics Installation ...

Anaconda (installer) - Wikipedia, the free encyclopedia
Anaconda is the installer for Red Hat Enterprise Linux , Oracle Linux , Scientific Linux , CentOS and Fedora . Anacondas are lizard -eating ...

Alarm.com MobileTech Tool for Installers on the App Store on iTunes
Get Alarm.com MobileTech Tool for Installers on the App Store. See screenshots and ratings, and read customer reviews.

Xposed Installer Alpha 2 & Pop-Up Videos– XDA Xposed Tuesday - YouTube
The Xposed Framework on Android 5.0 Lollipop is getting closer and closer to a final release. When that will happen, no one is quite sure. But, ...

Kevin Rudd told insulation program 'on track' until four installers dead
The Rudd government cabinet was told the home insulation program was "on track" just one day before the death of the first installer, it has ...

VKMusic4 - Apple Macs Get Malicious Fake Installer Trojan Virus
Apple computers are now the target of a fake installer that tacks hidden fees onto mobile phone account bills.

Kevin Rudd 'deeply sorry' for the deaths of insulation installers
UPDATE 4.40pm: PRIME Minister Kevin Rudd says he is deeply sorry about the deaths of installers working on the Federal Government's home insulation ...

Image Editor GIMP Abandons SourceForge Over Adware-Wrapped Installers
... software decides it no longer wants anything to do with you. This... The tipping point was the introduction of their own SourceForge Installer ...

Home insulation scheme crippled by dodgy installers: Greg Combet
Former climate change minister Greg Combet faced unscrupulous installers trying to defraud the government even as he was trying to wind down ...

Lloyd Rayney phone-tapping trial: Fingerprints on roof manhole match alleged installer of bugging equipment ...
Two fingerprints on a manhole cover from the home of Lloyd Rayney match those of the man he is alleged to have paid to install phone-bugging ...

Resources last updated: 12/9/2015 4:39:28 PM